package com.ruoyi.mall.domain.Bo;



import javax.validation.constraints.NotNull;

/**
 * 活动报名请求参数
 * @author long
 */

public class CommentArticleRequest {
    @Override
    public String toString() {
        return "CommentArticleRequest{" +
                "userId=" + userId +
                ", articleId=" + articleId +
                ", commentText='" + commentText + '\'' +
                '}';
    }

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;


    /**
     * 帖子id
     */
    @NotNull(message = "帖子id不能为空")
    private Long articleId;

    /**
     * 评论内容
     */
    @NotNull(message = "评论内容不能为空")
    private String commentText;




    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getArticleId() {
        return articleId;
    }

    public void setArticleId(Long articleId) {
        this.articleId = articleId;
    }

    public String getCommentText() {
        return commentText;
    }

    public void setCommentText(String commentText) {
        this.commentText = commentText;
    }

}
